## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 26
%bcond_without check
%global debug_package %{nil}

%global crate oci-spec

# compile and run tests only on supported architectures
%global supported_arches x86_64 aarch64 ppc64le s390x

Name:           rust-oci-spec
Version:        0.6.8
Release:        %autorelease
Summary:        Open Container Initiative Specifictions in Rust

License:        Apache-2.0
URL:            https://crates.io/crates/oci-spec
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * relax stricter-than-semver dependencies on once_cell and regex
Patch:          oci-spec-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Open Container Initiative Specifictions in Rust.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/README.md
%doc %{crate_instdir}/release.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+distribution-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+distribution-devel %{_description}

This package contains library source intended for building other packages which
use the "distribution" feature of the "%{crate}" crate.

%files       -n %{name}+distribution-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+image-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+image-devel %{_description}

This package contains library source intended for building other packages which
use the "image" feature of the "%{crate}" crate.

%files       -n %{name}+image-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+proptests-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+proptests-devel %{_description}

This package contains library source intended for building other packages which
use the "proptests" feature of the "%{crate}" crate.

%files       -n %{name}+proptests-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+quickcheck-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+quickcheck-devel %{_description}

This package contains library source intended for building other packages which
use the "quickcheck" feature of the "%{crate}" crate.

%files       -n %{name}+quickcheck-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+runtime-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+runtime-devel %{_description}

This package contains library source intended for building other packages which
use the "runtime" feature of the "%{crate}" crate.

%files       -n %{name}+runtime-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%ifarch %{supported_arches}
%cargo_build
%endif

%install
%cargo_install

%if %{with check}
%ifarch %{supported_arches}
%check
%cargo_test
%endif
%endif

%changelog
## START: Generated by rpmautospec
* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Mon Jul 29 2024 Fabio Valentini <decathorpe@gmail.com> - 0.6.8-1
- Update to version 0.6.8; Fixes RHBZ#2298946

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sat Jul 06 2024 Fabio Valentini <decathorpe@gmail.com> - 0.6.7-1
- Update to version 0.6.7; Fixes RHBZ#2295541

* Sun Mar 17 2024 Alberto Faria <afaria@redhat.com> - 0.6.4-3
- Exclude %%{ix86} instead of i386

* Sun Mar 17 2024 Alberto Faria <afaria@redhat.com> - 0.6.4-2
- Exclude i386 since upstream doesn't support it

* Sat Mar 16 2024 Alberto Faria <afaria@redhat.com> - 0.6.4-1
- Initial import (fedora#2266303).
## END: Generated by rpmautospec
